package xhttp3.internal.framed;

import xhttp3.internal.Util;
import xio.ByteString;

public final class Header {
   public static final ByteString RESPONSE_STATUS = ByteString.encodeUtf8(":status");
   public static final ByteString TARGET_METHOD = ByteString.encodeUtf8(":method");
   public static final ByteString TARGET_PATH = ByteString.encodeUtf8(":path");
   public static final ByteString TARGET_SCHEME = ByteString.encodeUtf8(":scheme");
   public static final ByteString TARGET_AUTHORITY = ByteString.encodeUtf8(":authority");
   public static final ByteString TARGET_HOST = ByteString.encodeUtf8(":host");
   public static final ByteString VERSION = ByteString.encodeUtf8(":version");
   public final ByteString name;
   public final ByteString value;
   final int hpackSize;

   public Header(String name, String value) {
      Header var10000 = this;
      ByteString var3 = ByteString.encodeUtf8(name);
      var10000.<init>(var3, ByteString.encodeUtf8(value));
   }

   public Header(ByteString name, String value) {
      this(name, ByteString.encodeUtf8(value));
   }

   public Header(ByteString name, ByteString value) {
      this.name = name;
      this.value = value;
      this.hpackSize = name.size() + 32 + value.size();
   }

   public boolean equals(Object other) {
      if (!(other instanceof Header)) {
         return false;
      } else {
         Header other1 = (Header)other;
         return this.name.equals(other1.name) && this.value.equals(other1.value);
      }
   }

   public int hashCode() {
      return (527 + this.name.hashCode()) * 31 + this.value.hashCode();
   }

   public String toString() {
      Object[] var1;
      Object[] var10000 = var1 = new Object[2];
      var1[0] = this.name.utf8();
      var10000[1] = this.value.utf8();
      return Util.format("%s: %s", var1);
   }
}
